> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Categories

> The /Categories endpoint returns an up-to-date list of all categories that can be applied to your customers' transactional data in either Canada or the US.

Broad Categorization is a service at Flinks that provides financial and behavioural insights by assigning categories to your customers' transactions. The `/Categories` endpoint returns an up-to-date list of all categories that can be applied to your customers' transactional data in either Canada or the US.


## OpenAPI

````yaml GET /v3/{customerId}/BankingServices/Categories/{CountryCode}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/BankingServices/Categories/{CountryCode}:
    get:
      tags:
        - Enrich
      summary: Categories
      description: >-
        The /Categories endpoint returns an up-to-date list of all categories
        that can be applied to your customers' transactional data in either
        Canada or the US.
      operationId: categories
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: CountryCode
          in: path
          required: true
          description: >-
            Identifies the country of the library that you wish to return.
            Accepted values are CA for Canada or US for the United States.
          schema:
            type: string
            default: CA
        - name: Authorization
          in: header
          description: >-
            Contains the Bearer Token (the API secret key that Flinks provides
            you with).
          schema:
            type: string
            default: Bearer {API Secret}
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    PrimaryCategoryName:
                      type: string
                    Description:
                      type: string
                    SubCategories:
                      type: array
                      items:
                        type: object
                        properties:
                          SubCategoryName:
                            type: string
                          Description:
                            type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  FlinksCode:
                    type: string

````